{ lib, config, pkgs, ... }:
with lib;
let
  cfg = config.modules.audio.cmus;
in
{
  options.modules.audio.cmus= {
    enable = mkEnableOption "enable cmus audio player";
  };
  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      cmus
    ];
    home.file.".config/cmus/rc".source = ./files/rc;
    home.file.".config/cmus/notify.sh".source = ./files/notify.sh;
  };
}
